﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WinLiveTileView
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            if (File.Exists("LiveTileConfig.xml"))
            {
              this.ultraLiveTileView1.LoadFromXml("LiveTileConfig.xml");
            }
        }

        private void textBox1_TextChanged(object sender, EventArgs e)
        {

        }

        private void ultraLiveTileView1_TileClick(object sender, Infragistics.Win.UltraWinLiveTileView.TileClickEventArgs e)
        {
            if (e.Tile.Key == "calculator")
            {
                Calculator calc = new Calculator();
                calc.Show();
            }

            if (e.Tile.Key == "calendar")
            {
                Calendar cal = new Calendar();
                cal.Show();
            }
            if (e.Tile.Key == "image")
            {
                //System.Diagnostics.Process.Start("/Calculator.cs");
                Image image = new Image();
                image.Show();
            }

            if (e.Tile.Key == "weather")
                System.Diagnostics.Process.Start("bingweather:");

            if (e.Tile.Key == "news")
                System.Diagnostics.Process.Start("bingnews:");

            if (e.Tile.Key == "maps")
                System.Diagnostics.Process.Start("bingmaps:");

            if (e.Tile.Key == "finance")
                System.Diagnostics.Process.Start("bingfinance:");

            if (e.Tile.Key == "search")
                System.Diagnostics.Process.Start("bingsearch:");

            if (e.Tile.Key == "explorer")
                System.Diagnostics.Process.Start("explorer.exe");

            if (e.Tile.Key == "chrome")
                System.Diagnostics.Process.Start("http://google.com");

            if (e.Tile.Key == "mozilla")
                System.Diagnostics.Process.Start("http://mozilla.com");

            if (e.Tile.Key == "opera")
                System.Diagnostics.Process.Start("http://opera.com");

            if (e.Tile.Key == "ie")
                System.Diagnostics.Process.Start("http://www.microsoft.com");

            if (e.Tile.Key == "music")
                System.Diagnostics.Process.Start("microsoftmusic:");

            if (e.Tile.Key == "video")
                System.Diagnostics.Process.Start("microsoftvideo:");
        }

        private void Form1_FormClosing(object sender, FormClosingEventArgs e)
        {
            this.ultraLiveTileView1.SaveAsXml("LiveTileConfig.xml");
        }

        private void ultraLiveTileView1_Click_1(object sender, EventArgs e)
        {

        }


    }

}
